*"表題 レイアウト GTOOL3(GGLAY2)
*
*"履歴 90/08/21 沼口  敦
*"履歴 95/05/29 竹広真一 for dcl-5.0
*"     97/12/01 竹広真一 SET -> STX
*
*********************************************************************
*"         << レイアウト, 題名表示 >>
*********************************************************************
      SUBROUTINE GGLAY2
     I         ( HHEAD )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC, NED
#else
#include         "gzsize.F"              !" NCC, NDC, NED
#endif
      CHARACTER  HTITL   *(NCC*2)
      CHARACTER  HDSET   *(NCC)
      CHARACTER  HUNIT   *(NCC)
      CHARACTER  HITEM   *(NCC)
      CHARACTER  HUTIM   *4
      CHARACTER  HTIME   *(NCC)
      CHARACTER  HEDIT( NED )*(NCC)
      INTEGER    NHE  ( NED )
      CHARACTER  HFNUM   *(NCC)
      CHARACTER  HDNUM   *(NCC)
      CHARACTER  HAITM   *(NCC)
      CHARACTER  HS      *(NCC)
      CHARACTER  HE      *(NCC)
      CHARACTER  HRAN    *(NCC)
      CHARACTER  HEDS    *(100)
      CHARACTER  HP      *8
      DATA       NDESC / 24 /
      DATA       STITL  / 0.022 /
      DATA       SAXSL  / 0.02 / 
      DATA       SAXST  / 0.02 / 
      DATA       SREMK  / 0.01 / 
      DATA       SCONL  / 0.01 / 
*
*"         < 1. 初期化 >
*
      CALL GRFRM
      CALL GGAXRS
      CALL GGLTRS
*
      CALL GGPSET ( 'STITL'  , STITL  )
      CALL GGPSET ( 'SAXSL'  , SAXSL  )
      CALL GGPSET ( 'SAXST'  , SAXST  )
      CALL GGPSET ( 'SREMK'  , SREMK  )
      CALL GGPSET ( 'SCONL'  , SCONL  )
*
      CALL UZPGET( 'RSIZET2', RSIZT2 )
      CALL UZPGET( 'ROFFXT' , ROFFXT )
      IF ( ROFFXT .LT. RSIZT2 ) CALL UZPSTX( 'ROFFXT', RSIZT2 )
*
*"         < 2. ビューポート(仮座標)設定 >
*
      CALL GGPGET ( 'VRATIO' , VRATIO )
      CALL GGPGET ( 'VXMIN'  , VXMIN  )
      CALL GGPGET ( 'VXMAX'  , VXMAX  )
      CALL GGPGET ( 'VYMIN'  , VYMIN  )
      CALL GGPGET ( 'VYMAX'  , VYMAX  )
*
      CALL SGSVPT ( VXMIN, VXMAX , VYMIN , VYMAX )
      CALL SGSWND ( 0.   , 1.    , 0.    , 1.  )
      CALL SGSTRN (1)
      CALL SGSTRF
*
*"         < 3. 編集タイトル >
*
      CALL SGPSTX ( 'IFONT', 2 )
*
      CALL GHCGTS ( HHEAD, 'TITL',  HTITL  )
      CALL GGPGET ( 'STITL'  , STITL )
      CALL UZPSTX ( 'RSIZEC2', STITL )
*
      CALL UXMTTL ( 'T', HTITL , -1. )
*
      CALL UZPSTX ( 'ROFFXT' , 0. )

      RETURN
      END
